aboutsummaryrefslogtreecommitdiffstats
path: root/opie-brightnessapplet
diff options
context:
space:
mode:
authorMichael Lauer <mickey@vanille-media.de>2004-10-01 23:40:47 +0000
committerMichael Lauer <mickey@vanille-media.de>2004-10-01 23:40:47 +0000
commit8ea04e4324c8a3236d441dedc5f0e4f505368edb (patch)
tree032078a380ff8fd19b8b7155b2a2b8c6faf45cc8 /opie-brightnessapplet
parent612f93ee25c3ccb32a7377c62b9eecdb208d9336 (diff)
downloadopenembedded-8ea04e4324c8a3236d441dedc5f0e4f505368edb.tar.gz
package opie-brightnessapplet icon
BKrev: 415deaffU4xgLXUkt3zxnx9tMUXZ4Q
Diffstat (limited to 'opie-brightnessapplet')
-rw-r--r--opie-brightnessapplet/opie-brightnessapplet_cvs.oe36
1 files changed, 36 insertions, 0 deletions
diff --git a/opie-brightnessapplet/opie-brightnessapplet_cvs.oe b/opie-brightnessapplet/opie-brightnessapplet_cvs.oe
index e69de29bb2..c3f312fefa 100644
--- a/opie-brightnessapplet/opie-brightnessapplet_cvs.oe
+++ b/opie-brightnessapplet/opie-brightnessapplet_cvs.oe
@@ -0,0 +1,36 @@
+DESCRIPTION = "Brightness Applet"
+SECTION = "opie/applets"
+PRIORITY = "optional"
+MAINTAINER = "Team Opie <opie@handhelds.org>"
+LICENSE = "GPL"
+PV = "1.1.6-cvs-${CVSDATE}"
+APPNAME = "brightnessapplet"
+PR = "r1"
+
+SRC_URI = "cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;module=opie/noncore/applets/brightnessapplet \
+ cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;module=opie/pics"
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+do_install() {
+ install -d ${D}/${palmtopdir}/pics/${APPNAME}
+ install -m 0655 ${WORKDIR}/pics/${APPNAME}/*.png ${D}/${palmtopdir}/pics/${APPNAME}/
+}
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ /opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadApplets()"
+else
+ exit 0
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+/opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadApplets()"
+}
+